Ruby: ext/zlib/zlib-1.2.13/contrib/minizip/minizip.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions
minizip.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <time.h>`
`#include <errno.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <utime.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include "zip.h"`

Go to the source code of this file.

## Macros
#define | __USE_FILE_OFFSET64
#define | __USE_LARGEFILE64
#define | _LARGEFILE64_SOURCE
#define | _FILE_OFFSET_BIT 64
#define | FOPEN_FUNC(filename, mode) fopen64(filename, mode)
#define | FTELLO_FUNC(stream) ftello64(stream)
#define | FSEEKO_FUNC(stream, offset, origin) fseeko64(stream, offset, origin)
#define | WRITEBUFFERSIZE (16384)
#define | MAXFILENAME (256)

## Functions
uLong | filetime (char *f, tm_zip *tmzip, uLong *dt) const
int | main (int argc, argv)

## Macro Definition Documentation

## ◆ __USE_FILE_OFFSET64

#define __USE_FILE_OFFSET64

Definition at line 18 of file minizip.c.

## ◆ __USE_LARGEFILE64

#define __USE_LARGEFILE64

Definition at line 21 of file minizip.c.

## ◆ _FILE_OFFSET_BIT

#define _FILE_OFFSET_BIT 64

Definition at line 27 of file minizip.c.

## ◆ _LARGEFILE64_SOURCE

#define _LARGEFILE64_SOURCE

Definition at line 24 of file minizip.c.

## ◆ FOPEN_FUNC

#define FOPEN_FUNC | ( |  | filename,
|  |  | mode
| ) |  | fopen64(filename, mode)

Definition at line 37 of file minizip.c.

## ◆ FSEEKO_FUNC

#define FSEEKO_FUNC | ( |  | stream,
|  |  | offset,
|  |  | origin
| ) |  | fseeko64(stream, offset, origin)

Definition at line 39 of file minizip.c.

## ◆ FTELLO_FUNC

#define FTELLO_FUNC | ( |  | stream | ) | ftello64(stream)

Definition at line 38 of file minizip.c.

## ◆ MAXFILENAME

#define MAXFILENAME (256)

Definition at line 71 of file minizip.c.

## ◆ WRITEBUFFERSIZE

#define WRITEBUFFERSIZE (16384)

Definition at line 70 of file minizip.c.

## Function Documentation

## ◆ filetime()

uLong filetime | ( | char * | f,
|  | tm_zip * | tmzip,
|  | uLong * | dt
| ) |  | const

Definition at line 141 of file minizip.c.

Referenced by main(), and unzRepair().

## ◆ main()

int main | ( | int argc | ,
|  | argv |
| ) |  |

Definition at line 247 of file minizip.c.

References argc, argv, DEF_MEM_LEVEL, zip_fileinfo::dosDate, err, EXIT_FAILURE, zip_fileinfo::external_fa, feof, filetime(), fill_win32_filefunc64A(), FOPEN_FUNC, free, int(), zip_fileinfo::internal_fa, len, malloc, MAX_WBITS, MAXFILENAME, NULL, strlen(), tm_zip_s::tm_hour, tm_zip_s::tm_mday, tm_zip_s::tm_min, tm_zip_s::tm_mon, tm_zip_s::tm_sec, tm_zip_s::tm_year, zip_fileinfo::tmz_date, WRITEBUFFERSIZE, Z_DEFAULT_COMPRESSION, Z_DEFAULT_STRATEGY, Z_DEFLATED, ZIP_ERRNO, ZIP_INTERNALERROR, ZIP_OK, zipClose(), zipCloseFileInZip(), zipOpen2_64(), zipOpen64(), zipOpenNewFileInZip3_64(), and zipWriteInFileInZip().